<?php
$elastix_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/visual/shortcodes.php';
require_once get_template_directory() . '/visual/vc_shortcode.php';
//Theme Set up:
function elastix_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
	add_theme_support( 'custom-header' ); 
  remove_filter ('the_content', 'wpautop');
	add_theme_support( 'custom-background' );
	$lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('elastix', $lang);
    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( "title-tag" );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu.', 'elastix' ),
    'mobile' =>  esc_html__( 'Navigation Menu: Chosen menu in mobile.', 'elastix' ),
	) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'elastix_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;

function elastix_fonts_url() {
    $font_url = '';

    if ( 'off' !== _x( 'on', 'Google font: on or off', 'elastix' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Nunito:300,400,700&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}

function elastix_theme_scripts_styles() {
	$elastix_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/css/bootstrap.min.css');
    wp_enqueue_style( 'cloudicon', get_template_directory_uri().'/fonts/cloudicon/cloudicon.css');
    wp_enqueue_style( 'fontawesome', get_template_directory_uri().'/fonts/fontawesome/css/all.css');
    wp_enqueue_style( 'opensans', get_template_directory_uri().'/fonts/opensans/opensans.css');
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/css/owl.carousel.css');
    wp_enqueue_style( 'idangerous', get_template_directory_uri().'/css/idangerous.swiper.css');
    wp_enqueue_style( 'magnific-popup', get_template_directory_uri().'/css/magnific-popup.css');
    wp_enqueue_style( 'filter', get_template_directory_uri().'/css/filter.css');
    wp_enqueue_style( 'nouislider', get_template_directory_uri().'/css/nouislider.css');
    wp_enqueue_style( 'elastix-style', get_template_directory_uri().'/css/style.css');
    wp_enqueue_style( 'responsive', get_template_directory_uri().'/css/responsive.css');
    wp_enqueue_style( 'slick', get_template_directory_uri().'/css/slick.css');
    wp_enqueue_style( 'font-google', $protocol ."://fonts.googleapis.com/css?family=Poppins:300,300i,400,400i,500,500i,600,600i,700,700i,800,800i|Rubik:300,300i,400,400i,500,500i,700,700i|Playfair+Display:700i");
    wp_enqueue_style( 'elastix-css', get_stylesheet_uri(), array(), '2018-03-30' );


if(isset($elastix_redux_demo['rtl']) && $elastix_redux_demo['rtl']==1){
  wp_enqueue_style( 'rtl', get_template_directory_uri().'/rtl.css');  }
    
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  //Javascript
    wp_enqueue_script("jquery-min", get_template_directory_uri()."/js/jquery.min.js",array(),false,true);
    wp_enqueue_script("elastix-typed", get_template_directory_uri()."/js/typed.js",array(),false,true);
    wp_enqueue_script("elastix-typed", get_template_directory_uri()."/js/typed.js",array(),false,true);
    wp_enqueue_script("popper", get_template_directory_uri()."/js/popper.min.js",array(),false,true);
    wp_enqueue_script("bootstrap", get_template_directory_uri()."/js/bootstrap.min.js",array(),false,true);
    wp_enqueue_script("idangerous", get_template_directory_uri()."/js/idangerous.swiper.min.js",array(),false,true);
    wp_enqueue_script("viewportchecker", get_template_directory_uri()."/js/jquery.viewportchecker.min.js",array(),false,true);
    wp_enqueue_script("countdown", get_template_directory_uri()."/js/jquery.countdown.js",array(),false,true);
    wp_enqueue_script("magnific-popup", get_template_directory_uri()."/js/jquery.magnific-popup.min.js",array(),false,true);
    wp_enqueue_script("slick", get_template_directory_uri()."/js/slick.min.js",array(),false,true);
    wp_enqueue_script("owl-carousel", get_template_directory_uri()."/js/owl.carousel.min.js",array(),false,true);
    wp_enqueue_script("isotope", get_template_directory_uri()."/js/isotope.min.js",array(),false,true);
    
    wp_enqueue_script("mixitup", get_template_directory_uri()."/js/jquery.mixitup.min.js",array(),false,true);
    wp_enqueue_script("nouislider", get_template_directory_uri()."/js/nouislider.js",array(),false,true);
    if(is_page_template('page-templates/vps.php')){
    wp_enqueue_script("filter", get_template_directory_uri()."/js/filter.js",array(),false,true);
  }
    wp_enqueue_script("scripts", get_template_directory_uri()."/js/scripts.js",array(),false,true);
    wp_enqueue_script("search-domain", get_template_directory_uri()."/js/search-domain.js",array(),false,true);
    if(is_page_template('page-templates/knowlegebase.php') or is_page_template('page-templates/legal.php')){
    wp_enqueue_script("sidebar", get_template_directory_uri()."/js/sidebar.js",array(),false,true);
  }
}
    
add_action( 'wp_enqueue_scripts', 'elastix_theme_scripts_styles' );

add_filter('style_loader_tag', 'myplugin_remove_type_attr', 10, 2);
add_filter('script_loader_tag', 'myplugin_remove_type_attr', 10, 2);

function myplugin_remove_type_attr($tag, $handle) {
    return preg_replace( "/type=['\"]text\/(javascript|css)['\"]/", '', $tag );
}

//Custom Excerpt Function
function elastix_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}

add_filter('user_contactmethods', 'my_user_contactmethods');  
               
function my_user_contactmethods($user_contactmethods){  
  
    
  $user_contactmethods['facebook'] = 'Facebook Link';  
  $user_contactmethods['twitter'] = 'Twitter Link';
  $user_contactmethods['googleplus'] = 'Google Plus Link';  
  $user_contactmethods['instagram'] = 'Instagram Link';  
  $user_contactmethods['linkedin'] = 'Linkedin Link'; 
  $user_contactmethods['job'] = 'Job';  
  
  return $user_contactmethods;  
}   
// Widget Sidebar
function elastix_widgets_init() {
	register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'elastix' ),
    'id'            => 'sidebar-1',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'elastix' ),        
        'before_widget' => '<aside id="%1$s" class="widget popular-categories %2$s" >',        
        'after_widget'  => '</aside>',        
        'before_title'  => '<div class="sidebar-title">
                                   <h3>',        
        'after_title'   => '</h3>
                              </div>'
    ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Shop Sidebar', 'elastix' ),
    'id'            => 'sidebar-shop',        
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'elastix' ),        
		'before_widget' => '<aside id="%1$s" class="widget popular-categories %2$s" >',        
		'after_widget'  => '</aside>',        
		'before_title'  => '<div class="sidebar-title">
                                   <h3>',        
		'after_title'   => '</h3>
                              </div>'
    ) );

    register_sidebar( array(
    'name'          => esc_html__( 'Footer One Widget', 'elastix' ),
    'id'            => 'footer-area-1',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Two Widget', 'elastix' ),
    'id'            => 'footer-area-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Three Widget', 'elastix' ),
    'id'            => 'footer-area-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Four Widget', 'elastix' ),
    'id'            => 'footer-area-4',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Five Widget', 'elastix' ),
    'id'            => 'footer-area-5',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Six Widget', 'elastix' ),
    'id'            => 'footer-area-6',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Seven Widget', 'elastix' ),
    'id'            => 'footer-area-7',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Home One Widget', 'elastix' ),
    'id'            => 'footer-home-area-1',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Home Two Widget', 'elastix' ),
    'id'            => 'footer-home-area-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Home Three Widget', 'elastix' ),
    'id'            => 'footer-home-area-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Widget Area 1', 'elastix' ),
    'id'            => 'widget-area-1',
    'description'   => esc_html__( 'Widget Area 1.', 'elastix' ),
    'before_widget' => ' ',
    'after_widget'  => ' ',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
}
add_action( 'widgets_init', 'elastix_widgets_init' );

//function tag widgets
function elastix_tag_cloud_widget($args) {
	$args['number'] = 0; //adding a 0 will display all tags
	$args['largest'] = 18; //largest tag
	$args['smallest'] = 11; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'elastix_tag_cloud_widget' );
function elastix_excerpt() {
  $elastix_redux_demo = get_option('redux_demo');
  if(isset($elastix_redux_demo['blog_excerpt'])){
    $limit = $elastix_redux_demo['blog_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

//pagination
if (!function_exists( 'next_pagination' )){
 
    function next_pagination(){
 
        if ( $GLOBALS['wp_query']->max_num_pages <2 ){ return ''; }?>
 
            <?php if ( function_exists('wp_pagenavi') ): ?>
 
            <?php wp_pagenavi(); ?> 
 
            <?php else: ?>
                <nav class="pagination" role="navigation">
 
                    <?php if ( get_next_posts_link() ) : ?>
 
                        <button><?php next_posts_link( __('Previous', 'elastix') ); ?></button>
 
                    <?php endif; ?>
 
                    <?php if ( get_previous_posts_link() ) :?>
 
                        <button><?php previous_posts_link(__('Next', 'elastix') ); ?></button>
 
                    <?php endif; ?>
 
                </nav>
 
             <?php endif; ?>
 
       <?php }
}
function elastix_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( '<i class = "fa fa-angle-left"></i>', 'elastix' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( '<i class = "fa fa-angle-right"></i>', 'elastix' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
}

function elastix_search_form( $form ) {
    $form = '
  <form  method="get" action="' . esc_url(home_url('/')) . '"> 
            <input type="text"  placeholder="'.esc_attr__('Search', 'elastix').'" value="' . get_search_query() . '" name="s" > 
  </form>
	';
    return $form;
}
add_filter( 'get_search_form', 'elastix_search_form' );
//Custom comment List:


 
add_action( 'wp_login_form', 'elastix_my_form_login' );
function elastix_my_form_login( $args = array() ) {
$defaults = array(
        'echo' => true,
        'redirect' => site_url( '/wp-admin' ), 
        'form_id' => 'loginform',
        'label_username' => esc_html__( 'Username' , 'elastix'),
        'label_password' => esc_html__( 'Password', 'elastix' ),
        'label_remember' => esc_html__( 'Remember Me', 'elastix' ),
        'label_log_in' => esc_html__( 'Sign in' , 'elastix'),
        'id_username' => 'user_login',
        'id_password' => 'user_pass',
        'id_email'    => 'email',
        'id_remember' => 'rememberme',
        'id_submit' => 'wp-submit',
        'remember' => true,
        'value_username' => '',
        'value_remember' => false,
);
$args = wp_parse_args( $args, apply_filters( 'login_form_defaults', $defaults ) );

$form = '

        <form name="' . $args['form_id'] . '" id="' . $args['form_id'] . '" action="' . esc_url( site_url( 'wp-login.php', 'login_post' ) ) . '" method="post">
                ' . apply_filters( 'login_form_top', '', $args ) . '                
                <div class="form-group">
                        <label for="email" class="sr-only">Email</label>
                        <input type="text" class="form-control" name="log" placeholder="Username" id=" '.esc_attr( $args['id_email'] ).'" value="' . esc_attr( $args['value_username'] ) . '" required="required"/>
                   
                </div>
                <div class="form-group">
                        <label for="key" class="sr-only">Password</label>
                        <input type="password" name="pwd" id="' . esc_attr( $args['id_password'] ) . '" class="form-control" placeholder="Password" value="" size="20" required="required"/>
                    
                </div>
                ' . apply_filters( 'login_form_middle', '', $args ) . '
                
                <div class="form-group">
                        <input type="submit" name="wp-submit" id="' . esc_attr( $args['id_submit'] ) . '" class="btn btn-primary btn-block" value="' . esc_attr( $args['label_log_in'] ) . '" />
                        <input type="hidden" name="redirect_to" value="' . esc_url( $args['redirect'] ) . '" />
                </div>
                ' . apply_filters( 'login_form_bottom', '', $args ) . '
        </form>';

if ( $args['echo'] )
        echo $form;
else
        return $form;
    }


 
// Comment Form
function elastix_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='100' )!=''){?>
      
      <div class="media">
        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        <?php echo get_avatar($comment,$size='100' ); ?>
        <div class="media-body">
          <h4 class="media-heading"><?php printf( get_comment_author_link()) ?></h4>  
          <div class="text-blog mt-0">
            <i class="icon-calendar"></i>
            <span class="pl-2 pr-4"><?php the_time('F Y j'); ?></span>
            <i class="icon-clock"></i>
            <span class="pl-2"> <?php the_time('G:i'); ?></span>
          </div>
          <div class="text-comments">
            <?php comment_text() ?> 
          </div>          
        </div>
      </div>

  <?php }else{?>

      <div class="media">
        <a class="plans badge badge-pill feat bg-green"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></a>
        <div class="media-body">
          <h4 class="media-heading"><?php printf( get_comment_author_link()) ?></h4>
          <div class="text-blog mt-0">
            <i class="icon-calendar"></i>
            <span class="pl-2 pr-4"><?php the_time('F Y j'); ?></span>
            <i class="icon-clock"></i>
            <span class="pl-2"> <?php the_time('G:i'); ?></span>
          </div>
          <div class="text-comments">
            <?php comment_text() ?> 
          </div>          
        </div>
      </div>
      
<?php }?>

<?php
}

function elastix_custom_css_classes_for_vc_row_and_vc_column($class_string, $tag) {
    if($tag=='vc_row' || $tag=='vc_row_inner') {
        $class_string = str_replace('vc_row-fluid', '', $class_string);
    }
    if($tag=='vc_column' || $tag=='vc_column_inner') {
    $class_string = preg_replace('/vc_col-sm-12/', 'col-md-12', $class_string);
    $class_string = preg_replace('/vc_col-sm-6/', 'col-md-6', $class_string);
    $class_string = preg_replace('/vc_col-sm-4/', 'col-md-4', $class_string);
    $class_string = preg_replace('/vc_col-sm-3/', 'col-md-3', $class_string);
    $class_string = preg_replace('/vc_col-sm-5/', 'col-md-5', $class_string);
    $class_string = preg_replace('/vc_col-sm-7/', 'col-md-7', $class_string);
    $class_string = preg_replace('/vc_col-sm-8/', 'col-md-8', $class_string);
    $class_string = preg_replace('/vc_col-sm-9/', 'col-md-9', $class_string);
    $class_string = preg_replace('/vc_col-sm-10/', 'col-md-10', $class_string);
    $class_string = preg_replace('/vc_col-sm-11/', 'col-md-11', $class_string);
    $class_string = preg_replace('/vc_col-sm-1/', 'col-md-1', $class_string);
    $class_string = preg_replace('/vc_col-sm-2/', 'col-md-2', $class_string);
    }
    return $class_string;
}
// Filter to Replace default css class for vc_row shortcode and vc_column
add_filter('vc_shortcodes_css_class', 'elastix_custom_css_classes_for_vc_row_and_vc_column', 10, 2); 
// Add new Param in Row
if(function_exists('vc_add_param')){

vc_add_param('vc_row',array(
                             'type' => 'dropdown',
                             'heading' => esc_html__( 'Chosen type row', 'elastix' ),
                             'param_name' => 'type_row',
                             'value' => array(
                                esc_html__( 'None Section', 'elastix' ) => 'type2',
                                esc_html__( 'Home Slider', 'elastix' ) => 'slider_home',
                                esc_html__( 'Features', 'elastix' ) => 'features',
                                esc_html__( 'Home Pricing', 'elastix' ) => 'home_pricing',
                                esc_html__( 'Testimonials', 'elastix' ) => 'testimonials',
                                esc_html__( 'About', 'elastix' ) => 'about',
                                esc_html__( 'Case Study', 'elastix' ) => 'case_study',
                                esc_html__( 'Team', 'elastix' ) => 'team',
                                esc_html__( 'Countdown', 'elastix' ) => 'countdown',
                                esc_html__( 'Pricing Service 1', 'elastix' ) => 'pricing_service_1',
                                esc_html__( 'Service About', 'elastix' ) => 'service_about',
                                esc_html__( 'Service About 2', 'elastix' ) => 'service_about_2',
                                esc_html__( 'Service About 3', 'elastix' ) => 'service_about_3',
                                esc_html__( 'Specification', 'elastix' ) => 'specification',
                                esc_html__( 'Specification 2', 'elastix' ) => 'specification_2',
                                esc_html__( 'Q and A', 'elastix' ) => 'q_and_a',
                                esc_html__( 'Pricing Service 2', 'elastix' ) => 'pricing_service_2',
                                esc_html__( 'Pricing Service 3', 'elastix' ) => 'pricing_service_3',
                                esc_html__( 'Pricing Service 4', 'elastix' ) => 'pricing_service_4',
                                esc_html__( 'Pricing Service 5', 'elastix' ) => 'pricing_service_5',
                                esc_html__( 'Overview', 'elastix' ) => 'overview',
                                esc_html__( 'Range Price', 'elastix' ) => 'range_price',
                                esc_html__( 'Register Form', 'elastix' ) => 'register_form',
                                esc_html__( 'Login Form', 'elastix' ) => 'login_form',
                                esc_html__( 'Contact Support', 'elastix' ) => 'contact_support',
                                esc_html__( 'Form Contact', 'elastix' ) => 'form_contact',
                             ),
                             'description' => esc_html__( 'Select type row', 'elastix' )
      )); 



vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Title', 'elastix'),
                              "param_name" => "ses_title",
                              "value" => "",
                              "description" => esc_html__("Title of Section, Leave a blank do not show frontend.", "elastix"),   
    ));

vc_add_param('vc_row',array(
                              "type" => "textarea",
                              "heading" => esc_html__('Section Subtitle', 'elastix'),
                              "param_name" => "ses_subtitle",
                              "value" => "",
                              "description" => esc_html__("Section Subtitle, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Badge', 'elastix'),
                              "param_name" => "ses_badge",
                              "value" => "",
                              "description" => esc_html__("Section Badge, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Link', 'elastix'),
                              "param_name" => "ses_link",
                              "value" => "",
                              "description" => esc_html__("Section Link, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Green Text', 'elastix'),
                              "param_name" => "ses_green_text",
                              "value" => "",
                              "description" => esc_html__("Section Green Text , Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Text 1', 'elastix'),
                              "param_name" => "ses_text_1",
                              "value" => "",
                              "description" => esc_html__("Section Text 1, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Text 2', 'elastix'),
                              "param_name" => "ses_text_2",
                              "value" => "",
                              "description" => esc_html__("Section Text 2, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Text 3', 'elastix'),
                              "param_name" => "ses_text_3",
                              "value" => "",
                              "description" => esc_html__("Section Text 3, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Info', 'elastix'),
                              "param_name" => "ses_info",
                              "value" => "",
                              "description" => esc_html__("Section Info, Leave a blank do not show frontend.", "elastix"),   
    ));

vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Text Button', 'elastix'),
                              "param_name" => "ses_text_btn",
                              "value" => "",
                              "description" => esc_html__("Section Text Button, Leave a blank do not show frontend.", "elastix"),   
    ));
vc_add_param('vc_row',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image 1', 'elastix' ),
                             'param_name' => 'ses_image',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'elastix' )
      ));
vc_add_param('vc_row',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image 2', 'elastix' ),
                             'param_name' => 'ses_image2',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'elastix' )
      ));
  
vc_add_param('vc_column',array(
                             'type' => 'dropdown',
                             'heading' => esc_html__( 'Type', 'elastix' ),
                             'param_name' => 'type',
                             'value' => array(
                                esc_html__( 'None', 'elastix' ) => 'none',
                                esc_html__( 'Info Testimonials', 'elastix' ) => 'info_testimonials',
                                esc_html__( 'Image Testimonials', 'elastix' ) => 'image_testimonials',
                                esc_html__( 'Title Pricing Service 4', 'elastix' ) => 'pricing_service_4',
                                
                                                           ),
                             'description' => esc_html__( 'Select type section content', 'elastix' )
      )); 
vc_add_param('vc_column',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image Background', 'elastix' ),
                             'param_name' => 'image',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'elastix' )
      ));
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Title', 'elastix'),
                              "param_name" => "title",
                              "value" => "",
                              "description" => esc_html__("Title of Section, Leave a blank do not show frontend.", "elastix"),   
    ));

vc_add_param('vc_column',array(
                              "type" => "textarea",
                              "heading" => esc_html__('Section Subtitle', 'elastix'),
                              "param_name" => "subtitle",
                              "value" => "",
                              "description" => esc_html__("Section Subtitle, Leave a blank do not show frontend.", "elastix"),   
    ));


}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'elastix_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function elastix_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'Contact Form 7', 'elastix' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'elastix' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'               => esc_html__( 'WPBakery Visual Composer', 'elastix' ), // The plugin name.
            'slug'               => 'visualcomposer',
            'source'             => get_template_directory_uri() . '/framework/plugins/js_composer.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
      array(
            'name'               => esc_html__( 'Mega Main Menu', 'elastix' ), // The plugin name.
            'slug'               => 'mega-main-menu',
            'source'             => get_template_directory_uri() . '/framework/plugins/mega_main_menu.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
      array(
            'name'               => esc_html__( 'WP Custom Register Login', 'elastix' ), // The plugin name.
            'slug'               => 'wp-custom-register-login',
            'source'             => get_template_directory_uri() . '/framework/plugins/wp-custom-register-login.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
      array(
            'name'               => esc_html__( 'Widget Settings Importexport', 'elastix' ), // The plugin name.
            'slug'               => 'widget-settings-importexport',
            'source'             => get_template_directory_uri() . '/framework/plugins/widget-settings-importexport.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
      array(
            'name'                     => esc_html__( 'Elastix Common', 'elastix' ),
            'slug'                     => 'elastix-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elastix-common.zip',
        )
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'elastix' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'elastix' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'elastix' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'elastix' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'elastix' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'elastix' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'elastix' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'elastix' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'elastix' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'elastix' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'elastix' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'elastix' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'elastix' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'elastix' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'elastix' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'elastix' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'elastix' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}


?>