<!doctype html>

<html class="no-js" <?php language_attributes(); ?>>

<?php $elastix_redux_demo = get_option('redux_demo'); ?>

    <head>

        <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <meta name="viewport" content="width=device-width, initial-scale=1">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {

        ?>

    <link rel="shortcut icon" href="<?php if(isset($elastix_redux_demo['favicon']['url'])){?><?php echo esc_url($elastix_redux_demo['favicon']['url']); ?><?php }?>">

    <?php }?>

    <?php wp_head(); ?>

    </head>

    <body <?php body_class(); ?>>

  

        <!--[if lte IE 9]>

            <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="https://browsehappy.com/">upgrade your browser</a> to improve your experience and security.</p>

        <![endif]-->



        <!-- Add your site or application content here -->



        <!-- preloader -->

        <div id="spinner-area">

              <div class="spinner">

                    <div class="double-bounce1"></div>

                    <div class="double-bounce2"></div>

                    <div class="spinner-txt"><?php if(isset($elastix_redux_demo['loading'])){?>

                                    <?php echo htmlspecialchars_decode(esc_attr($elastix_redux_demo['loading']));?>

                                    <?php }else{?>

                                    <?php echo esc_html__( 'elastix...', 'elastix' );

                                    }

                                    ?></div>

              </div>

        </div>

        <!-- preloader -->



        <!-- header start -->

        <div class="menu-wrap">

      <div class="nav-menu">

        <div class="container-fluid">

          <div class="container">

            <div class="row">

              <div class="col-2 col-md-2">

                <a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($elastix_redux_demo['logo']['url']) && $elastix_redux_demo['logo']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($elastix_redux_demo['logo']['url']); ?>"  alt="logo elastix" class="logo-menu">
                  <?php }else{ ?>
                      <img src="http://shtheme.net/image/elastix/logo.svg" alt="logo elastix" class="logo-menu">
                  <?php } ?>
                </a>

              </div>

              <nav class="col-10 col-md-10">

                <div class="navigation float-right">

                  <button class="menu-toggle">

                    <span class="icon"></span>

                    <span class="icon"></span>

                    <span class="icon"></span>

                  </button>

                  <?php 



                  wp_nav_menu( 



                  array( 



                        'theme_location' => 'primary',



                        'container' => '',



                        'menu_class' => '', 



                        'menu_id' => '',



                        'menu'            => '',



                        'container_class' => '',



                        'container_id'    => '',



                        'echo'            => true,



                         'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',



                         'walker'            => new elastix_wp_bootstrap_navwalker(),



                        'before'          => '',



                        'after'           => '',



                        'link_before'     => '',



                        'link_after'      => '',



                        'items_wrap'      => '<ul  class="main-menu nav navbar-nav navbar-right %2$s">%3$s</ul>',



                        'depth'           => 0,        



                    )



                 ); ?>

                 <div class="menu-item">

                    <a class="pr-0 mr-0" href="<?php if(isset($elastix_redux_demo['button_link'])){?>

                                    <?php echo htmlspecialchars_decode(esc_attr($elastix_redux_demo['button_link']));?>

                                    <?php }else{?>

                                    <?php echo esc_html__( '#', 'elastix' );

                                    }

                                    ?>"> <div class="btn btn-default-green-fill question"><i class="fas fa-lock pr-1"></i><?php if(isset($elastix_redux_demo['text_btn_login'])){?>

                                    <?php echo htmlspecialchars_decode(esc_attr($elastix_redux_demo['text_btn_login']));?>

                                    <?php }else{?>

                                    <?php echo esc_html__( ' CLIENT AREA', 'elastix' );

                                    }

                                    ?></div></a>

                  </div>

                </div>

              </nav>

            </div>

          </div>

        </div>

      </div>

    </div>

    <!-- 

    *******************

    NAV MENU MOBILE  

    *******************

    -->

    <div class="menu-wrap mobile">

      <div class="container">

        <div class="row">

          <div class="col-6">

            <a href="<?php echo esc_url(home_url('/')); ?>">
              
              <?php if(isset($elastix_redux_demo['logo']['url']) && $elastix_redux_demo['logo']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($elastix_redux_demo['logo']['url']); ?>"  alt="logo elastix" class="logo-menu">
                  <?php }else{ ?>
                      <img src="http://shtheme.net/image/elastix/logo.svg" alt="logo" class="logo-menu">
                  <?php } ?>
            </a>

            <a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($elastix_redux_demo['logo_2']['url']) && $elastix_redux_demo['logo_2']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($elastix_redux_demo['logo_2']['url']); ?>"  alt="logo elastix" class="logo-menu">
                  <?php }else{ ?>
                      <img src="http://shtheme.net/image/elastix/logo-light.svg" alt="logo elastix" class="logo-menu logo-responsive">
                  <?php } ?>
                        

            </a>

          </div>

          <div class="col-6">

            <nav class="nav-menu">

              <button id="nav-toggle" class="menu-toggle">

                <span class="icon"></span>

                <span class="icon"></span>

                <span class="icon"></span>

              </button>

              <?php 



                  wp_nav_menu( 



                  array( 



                        'theme_location' => 'mobile',



                        'container' => '',



                        'menu_class' => '', 



                        'menu_id' => '',



                        'menu'            => '',



                        'container_class' => '',



                        'container_id'    => '',



                        'echo'            => true,



                         'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',



                         'walker'            => new elastix_wp_bootstrap_navwalker(),



                        'before'          => '',



                        'after'           => '',



                        'link_before'     => '',



                        'link_after'      => '',



                        'items_wrap'      => '<ul  class="main-menu sec-grad-white-to-grey  %2$s">%3$s</ul>',



                        'depth'           => 0,        



                    )



                 ); ?>

            </nav>

          </div>

        </div>

      </div>

    </div>