<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="{$charset}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="templates/{$template}/assets/img/favicon.ico" >
    <title>{if $kbarticle.title}{$kbarticle.title} - {/if}{$pagetitle} - {$companyname}</title>

    {include file="$template/includes/head.tpl"}

    {$headoutput}

</head>
<body>
<!-- 
*******************
HEADER  
*******************
-->
{$headeroutput}
<section id="header">
  <div class="total-grad">
    <div class="opa-pink"></div>
  </div>
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <ul class="top-nav">
          {if $languagechangeenabled && count($locales) > 1}
              <li>
                  <a href="#" class="choose-language" data-toggle="popover" id="languageChooser">
                      {$activeLocale.localisedName}
                      <b class="caret"></b>
                  </a>
                  <div id="languageChooserContent" class="hidden">
                      <ul>
                          {foreach $locales as $locale}
                              <li>
                                  <a href="{$currentpagelinkback}language={$locale.language}">{$locale.localisedName}</a>
                              </li>
                          {/foreach}
                      </ul>
                  </div>
              </li>
          {/if}
          {if $loggedin}
              <li>
                  <a href="#" data-toggle="popover" id="accountNotifications" data-placement="bottom">
                      {$LANG.notifications}
                      {if count($clientAlerts) > 0}
                          <span class="label label-info">{lang key='notificationsnew'}</span>
                      {/if}
                      <b class="caret"></b>
                  </a>
                  <div id="accountNotificationsContent" class="hidden">
                      <ul class="client-alerts">
                      {foreach $clientAlerts as $alert}
                          <li>
                              <a href="{$alert->getLink()}">
                                  <i class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}exclamation-triangle{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
                                  <div class="message">{$alert->getMessage()}</div>
                              </a>
                          </li>
                      {foreachelse}
                          <li class="none">
                              {$LANG.notificationsnone}
                          </li>
                      {/foreach}
                      </ul>
                  </div>
              </li>
              <li class="primary-action">
                  <a href="{$WEB_ROOT}/logout.php" class="btn btn-default-green-fill question">
                      {$LANG.clientareanavlogout}
                  </a>
              </li>
          {else}
              <li class="nav navbar-nav navbar-right">
                  {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}
              </li>
              <li>
                  <a href="{$WEB_ROOT}/cart.php?a=view">
                      {$LANG.viewcart}
                  </a>
              </li>
              {if $condlinks.allowClientRegistration}
                  <li class="primary-action">
                      <a href="{$WEB_ROOT}/register.php">{$LANG.register}</a>
                  </li>
              {/if}
              <li>
                  <a class="btn btn-default-green-fill question" href="{$WEB_ROOT}/clientarea.php">{$LANG.login}</a>
              </li>
          {/if}
          {if $adminMasqueradingAsClient || $adminLoggedIn}
              <li>
                  <a href="/whmcs/logout.php?returntoadmin=1" class="btn btn-logged-in-admin" data-toggle="tooltip" data-placement="bottom" title="{if $adminMasqueradingAsClient}{$LANG.adminmasqueradingasclient} {$LANG.logoutandreturntoadminarea}{else}{$LANG.adminloggedin} {$LANG.returntoadminarea}{/if}">
                      <i class="fas fa-sign-out-alt"></i>
                  </a>
              </li>
          {/if}   
        </ul>
      </div>
    </div>
  </div>
</section>
<!-- 
*******************
NAV MENU
*******************
-->
<div class="menu-wrap">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 col-md-3">
        <a href="{$WEB_ROOT}/index.php">
          <img src="{$WEB_ROOT}/templates/{$template}/assets/img/logo.svg" class="logo-menu" alt="{$companyname}"/>
        </a>
        <div class="navbar-header">
          <button id="nav-toggle" type="button" class="navbar-toggle menu-toggle" data-toggle="collapse" data-target="#primary-nav">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
          </button>
        </div>
      </div>

      <div class="col-sm-12 col-md-9 ">
        <section id="main-menu">
          <nav id="nav" class="navbar navbar-default navbar-main" role="navigation">
            <!-- Brand and toggle get grouped for better mobile display -->
            
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="primary-nav">
              <ul class="nav navbar-nav">
                {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                <li class="infos">
                  <a href="tel:+0000000000"><p class="c-grey">Phone: + (123) 1300-656-1046</p></a>
                  <a href="mailto:elastic@mail.com"><p class="c-grey">Email: elastic@mail.com</p></a>
                  <a href="/whmcs/clientarea.php"><div class="btn btn-default-green-fill">CLIENT AREA</div></a>
                </li>
              </ul>
            </div><!-- /.navbar-collapse -->

          </nav>
        </section>
      </div>
    </div>
  </div>
</div>
<!-- 
*******************
BANNER 
*******************
-->
  <div class="top-header">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="wrapper">
            {if $registerdomainenabled || $transferdomainenabled}
            <div class="heading">{$LANG.homebegin}</div>
            <div class="subheding pb-4">Choose from hundreds of extensions and put your website in the world.</div>
            <div class="row">
              <div class="col-xs-8 col-sm-6 col-md-6">
                <section id="home-banner">
                  <form method="post" action="domainchecker.php">
                      <div class="row">
                          <div class="col-md-12">
                              <div class="input-group input-group-lg">
                                  <input type="text" class="fill-input" name="domain" placeholder="{$LANG.exampledomain}" autocapitalize="none" />
                                  <span class="input-group-btn">
                                      {if $registerdomainenabled}
                                          <input type="submit" class="btn btn-default-green-fill" value="{$LANG.search}" />
                                      {/if}
                                      {if $transferdomainenabled}
                                          <input type="submit" name="transfer" class=" btn btn-default-fill" value="{$LANG.domainstransfer}" />
                                      {/if}
                                  </span>
                              </div>
                          </div>
                      </div>
                      <!-- {include file="$template/includes/captcha.tpl"} -->
                  </form>
                </section>
              </div>
            </div>
            {else}
                <h2>{$LANG.doToday}</h2>
            {/if}
          </div>
        </div>
      </div>
    </div>
  </div>
<!-- 
*******************
SHORTCUTS
*******************
-->
{if $templatefile == 'homepage'}
<section class="h-services sec-normal sec-grad-grey-to-blue">
  <div class="container">
    <div class="row">
      <div class="col-12 col-sm-12 text-center">
        <h2 class="section-heading">{$LANG.howcanwehelp}</h2>
      </div>

      <div class="col-sm-12 col-md-6">
        <div class="wrap-service sec-grad-white-to-grey">
          <i class="icon-domains"></i>
          <div class="heading">{$LANG.buyadomain}</div>
          <div class="text-info">{$LANG.homebegin}</div>
          <a id="btnBuyADomain" href="domainchecker.php" class="btn btn-default-green-fill">{$LANG.buyadomain}</a>
        </div>
      </div>

      <div class="col-sm-12 col-md-6">
        <div class="wrap-service sec-grad-white-to-grey">
          <i class="icon-cloudfiber"></i>
          <div class="heading">{$LANG.orderhosting}</div>
          <div class="text-info">{$LANG.orderForm.chooseFromRange}</div>
          <a id="btnOrderHosting" href="cart.php" class="btn btn-default-green-fill">{$LANG.orderhosting}</a>
        </div>
      </div>

      <div class="col-sm-12 col-md-6 clear-sm">
        <div class="wrap-service sec-grad-white-to-grey">
          <i class="icon-card"></i>
          <div class="heading">{$LANG.makepayment}</div>
          <div class="text-info">{$LANG.forwardingtogateway}</div>
          <a id="btnMakePayment" href="clientarea.php" class="btn btn-default-green-fill">{$LANG.makepayment}</a>
        </div>
      </div>

      <div class="col-sm-12 col-md-6 clear-md">
        <div class="wrap-service sec-grad-white-to-grey">
          <i class="icon-emailopen"></i>
          <div class="heading">{$LANG.getsupport}</div>
          <div class="text-info">{$LANG.supportticketsintro}</div>
          <a id="btnGetSupport" href="submitticket.php" class="btn btn-default-green-fill">{$LANG.getsupport}</a>
        </div>
      </div>

    </div>
  </div>
</section>
{/if}

<!-- 
*******************
MAIN BODY
*******************
-->
{include file="$template/includes/verifyemail.tpl"}
<section id="main-body" class="sec-normal sec-grad-white-to-grey">
  <div class="container{if $skipMainBodyContainer}-fluid without-padding{/if}">
    <div class="row">
    {if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}
        {if $primarySidebar->hasChildren() && !$skipMainBodyContainer}
            <div class="col-md-9 pull-md-right">
                {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
            </div>
        {/if}
        <div class="col-md-3 pull-md-left sidebar">
            {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
        </div>
    {/if}
    <!-- Container for main page display content -->
    <div class="{if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}col-md-9 pull-md-right{else}col-xs-12{/if} main-content">
        {if !$primarySidebar->hasChildren() && !$showingLoginPage && !$inShoppingCart && $templatefile != 'homepage' && !$skipMainBodyContainer}
            {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
        {/if}
